app:
  name: Codiki
  description: A wiki application.
  version: 1.2.0
  platform: develop

codiki:
  files:
    upload: /opt/codiki/pictures/tmp
    profile-images: /opt/codiki/pictures/profiles
    images: /opt/codiki/pictures/posts

cors.enabled=false:

logging:
  file: codiki
  level:
    org.codiki: DEBUG
#    org.hibernate: DEBUG
  path: /opt/codiki/logs

server:
#  use-forward-headers=true
  error:
    whitelabel:
      enabled: false # Disable html error responses.
  port: 8080
#  ssl:
#    key-store: /home/takiguchi/Developpement/Java/codiki/keystore.p12
#    key-store-password: aaSrTBqpyRbwLhLi7iVwat2QWHCFQr3e4B9UkBpBPoUxH5UGdJpwenWAKZNTXwgww227CtBYUHogXivRdKpeyHPu2UafsPkGNuKgnDyzZfceFN5r3CxT2eTt
#    keyStoreType: PKCS12
#    keyAlias: tomcat
#  whitelabel:
#    enabled: false

spring:
  jpa:
    datasource:
      driverClassName: org.postgresql.Driver
      url: jdbc:postgresql://localhost:5432/codiki
      username: codiki
      password: P@ssword
    # TODO: Delete all Lazy relationships and set following property to false
#    open-in-view: false
    # Because detection is disabled you have to set correct dialect by hand.
    database-platform: org.hibernate.dialect.PostgreSQL9Dialect
    # Disable feature detection by this undocumented parameter.
    # Check the org.hibernate.engine.jdbc.internal.JdbcServiceImpl.configure method for more details.
    properties.hibernate.temp.use_jdbc_metadata_defaults: false
  servlet.multipart.max-file-size: 104857600
